lv.eparaksts.validation

## Enum ValidationStatus

- java.lang.Object
- - java.lang.Enum<ValidationStatus>
  - - lv.eparaksts.validation.ValidationStatus

- All Implemented Interfaces:
    Serializable, Comparable<ValidationStatus>

      public enum ValidationStatus
      extends Enum<ValidationStatus>

  Object validation status enumeration.
  See Also:
    `ValidationResult.getStatus()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED` Failed result state.
    `PASSED` Passed result state.
    `UNCHECKED` Unchecked result state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCHECKED

          public static final ValidationStatus UNCHECKED

      Unchecked result state.

    - #### PASSED

          public static final ValidationStatus PASSED

      Passed result state.

    - #### FAILED

          public static final ValidationStatus FAILED

      Failed result state.

  - ### Method Detail

    - #### values

          public static ValidationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationStatus c : ValidationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO